#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
	if (argc != 2) {
		printf("使用方法 2の２乗３乗４乗・・・表示する場合:%s 2\n", argv[0]);
		return 1;
	}

	double basenum = atof(argv[1]);

	if (-1 == basenum) {
		//無限につづく
		printf("-1 1 -1 1 -1 ・・・\n");
		return 0;
	}

	if (1 == basenum) {
		//無限につづく
		printf("1 1 1 1 1 ・・・\n");
		return 0;
	}

	if (-1 < basenum && basenum < 1){
		//だんだん小さくなる。
		double pownum = basenum;
		do {
			printf("%f", pownum);
			pownum *= basenum;
		} while (pownum > 0.00000000000001);
		return 0;
	}

	double pownum = basenum;

	while (pownum < 100000000) {
		printf("%0.0f ", pownum);
		pownum *= basenum;
	}

	return 0;
}